ant-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Archie Cobbs (JIRA)" <j...@apache.org>
Subject [jira] Commented: (IVY-1231) Ivy reports a bogus unresolved dependency
Date Thu, 23 Sep 2010 14:50:32 GMT

    [ https://issues.apache.org/jira/browse/IVY-1231?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12914052#action_12914052
] 

Archie Cobbs commented on IVY-1231:
-----------------------------------

Yesterday I didn't know how to "change the default conflict manager globally" but digging
into the docs more now I see it.

Suggestion: add this sentence to the [conflict page|http://ant.apache.org/ivy/history/trunk/ivyfile/conflict.html]:
{quote}
If no specific conflict manager is defined, a default conflict manager is used for all modules.

The current default conflict manager is the "latest-revision" conflict manager. You can change
the default conflict manager in your settings file.
{quote}

OK, back to the original point... I think it would be better if the default conflict manager
is changed. But that's only my opinion. It's worthwhile getting other people's opinions. I
will ask on the mailing list...

In the mean time you can close this bug. If there seems to be overwhelming interest on the
mailing list, I'll create a new one requesting the change and link it to this one.

Thanks.


> Ivy reports a bogus unresolved dependency
> -----------------------------------------
>
>                 Key: IVY-1231
>                 URL: https://issues.apache.org/jira/browse/IVY-1231
>             Project: Ivy
>          Issue Type: Bug
>          Components: Core
>    Affects Versions: 2.2.0-RC1
>         Environment: openSUSE 11.3, ant 1.7.1
>            Reporter: Archie Cobbs
>         Attachments: ivybug.zip
>
>
> Ivy is complaining about an unresolved dependency which does not exist:
> {noformat}
> [ivy:resolve] 		::::::::::::::::::::::::::::::::::::::::::::::
> [ivy:resolve] 		::          UNRESOLVED DEPENDENCIES         ::
> [ivy:resolve] 		::::::::::::::::::::::::::::::::::::::::::::::
> [ivy:resolve] 		:: net.sourceforge.itext#itext;5.0.4: configuration not found in net.sourceforge.itext#itext;5.0.4:
'rtf'.
>                                     It was required from org.jaspersoft#jasperreports;3.5.3
core
> [ivy:resolve] 		::::::::::::::::::::::::::::::::::::::::::::::
> {noformat}
> There is no dependency on the "rtf" configuration in jasperreports 3.5.3 (view it's ivy.xml
file [here|http://ivyroundup.googlecode.com/svn/!svn/bc/1331/trunk/repo/modules/org.jaspersoft/jasperreports/3.5.3/ivy.xml]).
In fact, there is no dependency on any "rtf" configuration by any module in the whole repository.
> To reproduce this bug:
> # Unpack the attached ZIP file to get IVYBUG directory
> # Copy {{ivy-2.2.0-rc1.jar}} into the IVYBUG directory
> # From within IVYBUG, run {{ant}}

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message